### Function

# Gimp PDB get_data

#### Declaration [src]

    gboolean
    gimp_pdb_get_data (
      const gchar* identifier,
      gpointer data
    )

#### Description [src]

Returns data associated with the specified identifier.

This procedure returns any data which may have been associated with the specified identifier. The data is copied into the given memory location.

#### Parameters

`identifier` | `const gchar*`
| The identifier associated with data.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `gpointer`
| A byte array containing data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success, FALSE if no data has been associated with the identifier.